package h5

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/guanlixitong"
	"shylinux.com/x/operation/src/h5/model"
)

type Table struct {
	guanlixitong.Table
	list string `name:"list h5_uid uid auto" role:"void"`
}

func (s Table) Inputs(m *ice.Message, arg ...string) {
	switch arg[0] {
	case model.USER_H5_ROLE:
		s.InputsListRole(m, UserH5RoleList, arg...)
	case model.H5_TYPE:
		s.InputsList(m, H5TypeList, arg...)
	default:
		s.Table.Inputs(m, arg...)
	}
}
func (s Table) RewriteAppend(m *ice.Message, arg ...string) *ice.Message {
	m.RewriteAppend(func(value, key string, index int) string {
		switch key {
		case model.USER_H5_ROLE:
			value = UserH5Role(kit.Int(value)).String()
		case model.H5_TYPE:
			value = H5Type(kit.Int(value)).String()
		}
		return value
	})
	return s.Table.RewriteAppend(m)
}

type Tables struct { Table }

func (s Tables) BeforeMigrate(m *ice.Message, arg ...string) {}